import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';

@Injectable({
    providedIn: 'root'
})
export class OperationalConsultationService {

    constructor(protected http: HttpClient) {

    }

    get serviceURL(): string {
        return './dashboard/operative';
    }

    getSummary(startDate: Date, endDate: Date, channel: string) {
        return this.http.post(this.serviceURL, {startDate, endDate, channel});
    }

}
